? swank-source-files.diff
Index: ChangeLog
===================================================================
RCS file: /project/slime/cvsroot/slime/ChangeLog,v
retrieving revision 1.879
diff -u -r1.879 ChangeLog
--- ChangeLog	1 Apr 2006 22:55:28 -0000	1.879
+++ ChangeLog	2 Apr 2006 21:00:21 -0000
@@ -1,3 +1,9 @@
+2006-04-02  Nathan Bird <nathan@acceleration.net>
+
+	* swank-loader.lisp (swank-source-files):  use the source-directory 
+	as the defaults for the source-file pathnames. Necessary on windows
+	when loading swank on a different drive (device) than the lisp is on.
+
 2006-04-01  Matthew D. Swank <akopa@charter.net>
 
 	* slime.el (slime-fontify-string): Use set-text-properties, not
Index: swank-loader.lisp
===================================================================
RCS file: /project/slime/cvsroot/slime/swank-loader.lisp,v
retrieving revision 1.58
diff -u -r1.58 swank-loader.lisp
--- swank-loader.lisp	16 Mar 2006 17:26:27 -0000	1.58
+++ swank-loader.lisp	2 Apr 2006 21:00:21 -0000
@@ -181,7 +181,7 @@
 (defun swank-source-files (source-directory)
   (mapcar (lambda (name)
             (make-pathname :name name :type "lisp"
-                           :directory (pathname-directory source-directory)))
+                           :defaults source-directory))
           `("swank-backend" ,@*sysdep-files* "swank")))
 
 (defvar *fasl-directory* (default-fasl-directory)
@@ -196,4 +196,4 @@
   (load-site-init-file source-directory)
   (load-user-init-file))
 
-(load-swank)
\ No newline at end of file
+(load-swank)
